# This package contains macros that provide functionality relating to
# Software Collections. These macros are not used in default
# Fedora builds, and should not be blindly copied or enabled.
# Specifically, the "scl" macro must not be defined in official Fedora
# builds. For more information, see:
# http://docs.fedoraproject.org/en-US/Fedora_Contributor_Documentation
# /1/html/Software_Collections_Guide/index.html

%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name http-cookie

%if "%{?scl}" == "ruby193"
    %global scl_prefix %{scl}-
    %global scl_ruby /usr/bin/ruby193-ruby
    %global scl_rake /usr/bin/ruby193-rake
    ### TODO temp disabled for SCL
    %global nodoc 1
%else
    %global scl_ruby /usr/bin/ruby
    %global scl_rake /usr/bin/rake
%endif

Summary:    rubygem-http-cookie.spec 
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    1.0.3
Release:    1%{?dist}
Group:      Applications/System
License:    MIT
URL:        https://github.com/sparklemotion/http-cookie
Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Requires: %{?scl_ruby}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(domain_name) >= 0.5
Requires: %{?scl_prefix}rubygem(domain_name) < 1
BuildRequires: %{?scl_ruby}
BuildRequires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems-devel

%description
HTTP::Cookie is a Ruby library to handle HTTP Cookies based on RFC 6265.

%package doc
Summary:    Documentation for rubygem-%{gem_name}
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0} --no-rdoc --no-ri
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{foreman_bundlerd_dir}

%files
%dir %{gem_instdir}
%{gem_instdir}/test
%{gem_instdir}/Gemfile
%{gem_instdir}/http-cookie.gemspec
%{gem_instdir}/Rakefile
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml

%files doc
%{gem_instdir}/CHANGELOG.md
%{gem_instdir}/LICENSE.txt
%{gem_instdir}/README.md

%changelog
* Tue Oct 18 2016 Rich Megginson <rmeggins@redhat.com> - 1.0.3-1
- update to 1.0.3

* Fri Sep 16 2016 Rich Megginson <rmeggins@redhat.com> - 1.0.2-3
- update versions on requires

* Sun Aug 14 2016 Rich Megginson <rmeggins@redhat.com> 1.0.2-2
- add dependency on rubygem(domain_name)

* Wed Apr 22 2015 Jason Montleon <jmontleo@redhat.com> 1.0.2-1
- new package built with tito

